// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')
	event.create('warlock_staff').displayName('Warlock Staff').unstackable().attackDamage('3.0').attackSpeed('0.9').group('combat').tier('swordlike').type('sword');
	event.create('brute_axe').displayName('Brute Axe').unstackable().attackDamage('4.0').attackSpeed('0.8').group('combat').tier('swordlike').type('axe');
	event.create('ninja_dagger').displayName('Ninja Dagger').unstackable().attackDamage('4.5').attackSpeed('2.0').group('combat').tier('axelike').type('sword')
})

onEvent('block.registry', event => {
	// Register new blocks here
	// event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
})

onEvent("item.registry.tool_tiers", event => {
	event.add("swordlike", tier => {
	  tier.speed = 1.6;
	  tier.attackDamageBonus = 6;
	});
  });

  onEvent("item.registry.tool_tiers", event => {
	event.add("axelike", tier => {
	  tier.speed = 0.9;
	  tier.attackDamageBonus = 9;
	});
  });